#ifndef SYSCALL_IPCNETSOCK_H_
#define SYSCALL_IPCNETSOCK_H_

#include <stddef.h>
#include <stdint.h>
#include "syscall.h"

int32_t SYSCALL3(sys_ipc_netsockmake, net1, proto1, port1);
int32_t SYSCALL2(sys_ipc_netsocklisten, socknum1, maxlisteners1);
int32_t SYSCALL1(sys_ipc_netsockpollev, socknum1);

#endif // SYSCALL_IPC_NETSOCK_H_
